#!/bin/sh
EXT=rpm
EXTERNAL_LIB=libssh2   #rpms that download from internet instead of OS DVD. only need to check the name, don't need to care too much about version and others.
for rpm in *.rpm;do
	if [[ -n "$DESKTOP_SESSION" ]] || [[ ! "${rpm:0:3}" == "qt-" ]];then
		list=${list:+$list }`echo $rpm | sed "s/.rpm//g"`
	fi
done
echo $list
for package in ${list};do
		package_1=$package
        for external_rpm in $EXTERNAL_LIB;do
            if [ -n "`echo $package | grep $external_rpm`" ];then
               package=$external_rpm
            fi
        done
        
        if [ -z "`rpm -qa | grep -i ${package}`" ];then
                PACKAGES="$PACKAGES ${package_1}.${EXT}"
                echo -e "\033[35m${package_1}.${EXT}"
        fi
done

if [ -n "$PACKAGES" ];then
 	if [ "$1" == "-s" ];then
		rpm -ivh $PACKAGES &>/dev/null
	else
		rpm -ivh $PACKAGES
	fi
fi
